Loading...
Searching...
No Matches
tiny_dnn::gradient_descent Struct Reference

SGD without momentum. More...

`#include <optimizer.h>`

Inheritance diagram for tiny_dnn::gradient_descent:
[legend]
Collaboration diagram for tiny_dnn::gradient_descent:
[legend]

## Public Member Functions

void | update (const vec_t &dW, vec_t &W, bool parallelize)
Public Member Functions inherited from tiny_dnn::optimizer
| optimizer (const optimizer &)=default
| optimizer (optimizer &&)=default
optimizer & | operator= (const optimizer &)=default
optimizer & | operator= (optimizer &&)=default
virtual void | reset ()

## Public Attributes

float_t | alpha
float_t | lambda

## Detailed Description

SGD without momentum.

slightly faster than tiny_dnn::momentum

## Member Function Documentation

## update()

void tiny_dnn::gradient_descent::update | ( | const vec_t & | dW,
|  | vec_t & | W,
|  | bool | parallelize
| ) |  |

inline virtual

Implements tiny_dnn::optimizer.

The documentation for this struct was generated from the following file:

- tiny_dnn/optimizers/optimizer.h